2

I have a ExpressionEngine installation SVN'ed in one site that I would like to clone to another site.

Here is the process that I did

  1. Extracted EE 2.7.2 version(used 2.7.2 because that is the version used in my site.)
  2. SVN checkout my files using the --force flag to overwrite some files. Take note that I only version control the files that I have edited(templates, configs, etc) and did not bother to include the core files
  3. Exported and imported the database from the original site to the new one.
  4. Set some permissions(cache, config, etc)

Everything seems well, except I see this in the control panel homepage

Your ExpressionEngine installation’s version (..) is not consistent with the reported version (2.7.2).

How do I fix this?

  • Can you check which version shows up under /system/expressionengine/config/config.php? In your case, it should be $config['app_version'] = '272'; – Franz May 20 '15 at 8:23
  • just for clarity, can you explain in more detail this step: I have a ExpressionEngine installation SVN'ed in one site that I would like to clone to another site. maybe the cloned site and the directory (presume with installation) which you are cloning too have different versions. Or maybe I'm missing the point – Lloyd_07 Feb 29 '16 at 12:33
1

I had the same problem upgrading from 2.7.2 to 2.9.0. My upgrade was pretty basic, and I followed the instructions on the EE website to a "T" (not to mention this is my um-teenth upgrade and have been using EE for years).

I added the v2.9.0 "installer" directory back (the one I had just deleted after the upgrade) and re-visited admin.php. I just clicked the "next" button and went through the process again. The message went away. Hope that helps.

| improve this answer | |
  • I tried this solution but it did not work...still haven't found a solution to this and I'm having the same problem, though mine says that my version 2.8.1 is inconsistent with the reported version 2.7.3 – Caleb Faruki Dec 8 '15 at 21:26
0
  1. Take a backup of your data including your database.
  2. Don't delete the installer folder (system/installer)
  3. Visit admin.php and follow the steps. It will upgrade the database.
  4. Delete the installer folder after the upgrade and you should be good!
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.